# -*- encoding: utf-8 -*-
# stub: setfu 3.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "setfu".freeze
  s.version = "3.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Bryan Colvin".freeze]
  s.date = "2020-01-29"
  s.description = "\nCreates a Set class with methods that allow you to construct and opperate on\nset instances. A 'Bignum' instance is used internally to store each element\nof the set. This allows very fast operations when comparing two set instances.\nMember elements can be represented as positive small integers, or characters.\nSets can be constructed with integers, strings, characters, ranges, and arrays.\nWhen characters are used, the ordinate value sets the element bit of the internal Bignum.".freeze
  s.email = ["bryan@bdlsys.com".freeze]
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.1".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Set class".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<pred>.freeze, ["~> 0.1", ">= 0.1.2"])
    s.add_runtime_dependency(%q<betterobject>.freeze, ["~> 1.2", ">= 1.2.0"])
    s.add_runtime_dependency(%q<yieldhelper>.freeze, ["~> 0.1", ">= 0.1.0"])
    s.add_runtime_dependency(%q<primitive_wrapper>.freeze, ["~> 2", ">= 2.3.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.1", ">= 10.1.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.3", ">= 3.3.0"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  else
    s.add_dependency(%q<pred>.freeze, ["~> 0.1", ">= 0.1.2"])
    s.add_dependency(%q<betterobject>.freeze, ["~> 1.2", ">= 1.2.0"])
    s.add_dependency(%q<yieldhelper>.freeze, ["~> 0.1", ">= 0.1.0"])
    s.add_dependency(%q<primitive_wrapper>.freeze, ["~> 2", ">= 2.3.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.1", ">= 10.1.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.3", ">= 3.3.0"])
    s.add_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  end
end
